org.apache.sling.validation.impl

## Class ValidatorMap

- java.lang.Object
- - org.apache.sling.validation.impl.ValidatorMap

    public class ValidatorMap
    extends Object

Helper class which encapsulates a map of `Validator`s with their meta information.

### Constructor Summary

Constructors
Constructor and Description
`ValidatorMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.validation.impl.ValidatorMap.ValidatorMetadata` `get(String id)`
`void` `put(Map<String,Object> properties, org.apache.sling.validation.spi.Validator<?> validator, org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)`
`boolean` `remove(Map<String,Object> properties, org.apache.sling.validation.spi.Validator<?> validator, org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)`
`void` `update(Map<String,Object> properties, org.apache.sling.validation.spi.Validator<?> validator, org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidatorMap

    public ValidatorMap()

### Method Detail

#### put

    public void put(@Nonnull
                    Map<String,Object> properties,
                    @Nonnull
                    org.apache.sling.validation.spi.Validator<?> validator,
                    org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)

#### update

    public void update(@Nonnull
                       Map<String,Object> properties,
                       @Nonnull
                       org.apache.sling.validation.spi.Validator<?> validator,
                       org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)

#### remove

    public boolean remove(@Nonnull
                          Map<String,Object> properties,
                          @Nonnull
                          org.apache.sling.validation.spi.Validator<?> validator,
                          org.osgi.framework.ServiceReference<org.apache.sling.validation.spi.Validator<?>> serviceReference)

#### get

    public org.apache.sling.validation.impl.ValidatorMap.ValidatorMetadata get(String id)